Bug 60637 - need to mention standard configs for building custom kernel
Summary: need to mention standard configs for building custom kernel
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhl-cg   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tammy Fox
QA Contact: Tammy Fox
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-03 23:11 UTC by Mike McLean
Modified: 2016-10-05 10:41 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-04 15:19:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 60637 master MERGED hostdev: report device MMIO numa node 2016-10-05 10:41 UTC

Description Mike McLean 2002-03-03 23:11:47 UTC
This bug pertains to the RH7.2 Customization Guide
Specifically the section about compiling custom kernels.
http://www.redhat.com/docs/manuals/linux/RHL-7.2-Manual/custom-guide/custom-kernel.html

You should mention that the /usr/src/linux-2.4/configs directory contains the
config files used to build the standard kernels shipped by RedHat. These can be
used as a base for kernel configuration.

For example, you might want a kernel configured the same as the standard i686
kernel, except that you want ntfs enabled as a module. To make this
configuration, you would: 
% cp configs/kernel-2.4.9-i386.config .config
% make xconfig
and in the xconfig program, make only the desired change, and save&exit.
(And of course, proceed with the kernel compilation).

Comment 1 Tammy Fox 2002-03-04 15:19:37 UTC
This is a great suggestions. I'll be sure to add it for the next release.

Comment 2 Tammy Fox 2002-04-02 23:17:43 UTC
I added this information to the CVS version of the manual. It will be in the
next release.


Note You need to log in before you can comment on or make changes to this bug.